PDA

View Full Version : I need an open source version of illustrator.........FAST!!!!!!




rhys105
Nov 14, 2007, 06:29 AM
I have loads of work to do for a project and i need an open source version of adobe illustrator that will work with leopard. i tried installing it and it said i need x11 - even though i have a brand new version of x11 with leopard. what can i do?



tersono
Nov 14, 2007, 06:41 AM
You don't say what you tried to install, but Inkscape (http://www.inkscape.org/) is the only open-source alternative to Illustrator that's worth the comparison (albeit there isn't much that can compete with Illustrator at any price), so I'll assume that's what it was.

If the packaged version doesn't yet support Leopard, you could try building it yourself via Fink (http://finkproject.org/), which - in theory - should sort it out (I haven't tried it, though, so can't guarantee success).

Alternatively, it isn't free, but Intaglio (http://www.purgatorydesign.com/Intaglio/) is pretty reasonable and not too expensive or, at a higher price but still cheaper than Illustrator, there's Create (http://www.stone.com/Create/). Both have time-limited demo versions available.

ncprius
Nov 14, 2007, 10:04 AM
You might have use for gimp, the open-source equivalent to photoshop...
http://www.gimp.org/downloads/
http://gimp-app.sourceforge.net/

And try Tiger's X11 on 10.5 instead of the X11 that comes with 10.5, which is unstable:
http://lists.apple.com/archives/x11-users/2007/Nov/msg00005.html

The tiger X11 does not overwrite the leopard X11 and can later be removed.
Both the leopard and tiger X11 can be on same 10.5 box at same time, and you can choose which to run, as in other posts.

wheezy
Nov 14, 2007, 11:13 AM
If you haven't already used it, you could also just download the 30-day Full Trial of Illustrator CS3, you can do everything but use it past 30 days :)